<?php

namespace Layerdrops\Ostech\Widgets;


class Blog extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'ostech-blog';
    }

    public function get_title()
    {
        return __('Blog', 'ostech-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['ostech-category'];
    }

    protected function register_controls()
    {
        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'ostech-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'ostech-addon'),
                    'layout_two' => __('Layout Two', 'ostech-addon'),
                    'layout_three' => __('Layout Three', 'ostech-addon'),
                    'layout_four' => __('Layout Four', 'ostech-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include  ostech_get_elementor_option('blog-option.php');

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .sec-title__title', ['layout_one']);
        ostech_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .sec-title__tagline', ['layout_one']);

        ostech_elementor_general_style_options($this, 'Post Title', '{{WRAPPER}} .blog-card__title a  ', ['layout_one', 'layout_two', 'layout_three']);
        ostech_elementor_general_style_options($this, 'Post Meta', '{{WRAPPER}} .blog-one .blog-card__meta li a', ['layout_one', 'layout_two', 'layout_three']);
        ostech_elementor_general_style_options($this, 'Post Date', '{{WRAPPER}} .blog-card__date', ['layout_one', 'layout_two', 'layout_three']);

        ostech_elementor_button_style_options($this, 'Read More', '{{WRAPPER}} .blog-card__link', '{{WRAPPER}} .blog-card__link:hover', ['layout_one', 'layout_two', 'layout_three']);
        ostech_elementor_button_style_options($this, 'Date Bg Color', '{{WRAPPER}} .blog-card__date', '{{WRAPPER}} .blog-card__link:hover', ['layout_one', 'layout_two', 'layout_three'], 'background-color', false);

        $this->end_controls_section();
        ostech_get_elementor_carousel_options($this, ['layout_one', 'layout_three']);
        ostech_elementor_column_count_options($this, ['layout_two']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include ostech_get_template('blog-one.php');
        include ostech_get_template('blog-two.php');
        include ostech_get_template('blog-three.php');
        include ostech_get_template('blog-four.php');
    }
}
